Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Dynamic::ExceptionList Class Reference

`#include <DynamicC.h>`

Inheritance diagram for Dynamic::ExceptionList:

[legend]
Collaboration diagram for Dynamic::ExceptionList:

[legend]
List of all members.

## Public Types
typedef ExceptionList_var | _var_type
## Public Methods
| ExceptionList (void)
| ExceptionList (CORBA::ULong max)
| ExceptionList (CORBA::ULong max, CORBA::ULong length, CORBA::TypeCode_ptr *buffer, CORBA::Boolean release=0)
| ExceptionList (const ExceptionList &)
| ~ExceptionList (void)
## Static Public Methods
void | _tao_any_destructor (void *)

## Member Typedef Documentation

typedef ExceptionList_var Dynamic::ExceptionList::_var_type

## Constructor & Destructor Documentation

Dynamic::ExceptionList::ExceptionList | ( | void |  | ) |

Dynamic::ExceptionList::ExceptionList | ( | CORBA::ULong | max | ) |

Dynamic::ExceptionList::ExceptionList | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | CORBA::TypeCode_ptr * | buffer,
|  | CORBA::Boolean | release = 0
| ) |

Dynamic::ExceptionList::ExceptionList | ( | const ExceptionList & |  | ) |

Dynamic::ExceptionList::~ExceptionList | ( | void |  | ) |

## Member Function Documentation

void Dynamic::ExceptionList::_tao_any_destructor | ( | void * |  | ) | `[static]`

The documentation for this class was generated from the following files:

- DynamicC.h
- DynamicC.cpp